@charset "UTF-8";
/* ==============================
* util-modal 팝업 영역 
* ============================== */
/* 
260611 아래 파일 통합하여 사용!
- modal.css (scss파일화)
- article_2026/article-header-util.scss
- atm/popup.scss
 */
.util-modal {
  position: fixed;
  z-index: 500;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  background: 100%;
  background-color: rgba(0, 0, 0, 0.7);
  visibility: hidden;
  opacity: 0;
  -webkit-transition: 500ms opacity;
  transition: 500ms opacity;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
}
.util-modal.active {
  visibility: visible !important;
  opacity: 1 !important;
}
.util-modal__wrap {
  position: relative;
  max-width: 80vh;
  overflow-y: auto;
  background-color: #fff;
  border-radius: 20px;
  padding: 20px;
  text-align: left;
  min-width: 180px;
}
.util-modal__wrap .close {
  position: absolute;
  top: 10px;
  right: 10px;
  width: 30px;
  height: 30px;
  background-image: url("data:image/svg+xml,%3Csvg width='16' height='16' viewBox='0 0 16 16' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M12.078 2.29286C12.4685 1.90236 13.1015 1.90241 13.4921 2.29286C13.8826 2.68338 13.8826 3.31639 13.4921 3.70692L9.38758 7.81141L13.6932 12.1171C14.0838 12.5076 14.0838 13.1416 13.6932 13.5321C13.3028 13.9223 12.6697 13.9222 12.2792 13.5321L7.97254 9.22547L3.70692 13.4921C3.31639 13.8826 2.68338 13.8826 2.29286 13.4921C1.90241 13.1015 1.90236 12.4685 2.29286 12.078L6.55946 7.81141L2.49403 3.74598C2.10352 3.35545 2.10351 2.72244 2.49403 2.33192C2.88457 1.94166 3.51765 1.94149 3.90809 2.33192L7.97352 6.39735L12.078 2.29286Z' fill='%23111111'/%3E%3C/svg%3E%0A");
  background-position: 50% 50%;
  background-repeat: no-repeat;
  background-size: 16px;
}
.util-modal__wrap .title {
  font-size: 15px;
  color: #111;
  font-weight: 700;
  margin-bottom: 1.5em;
  line-height: 1;
  letter-spacing: -0.01em;
}
.util-modal .list {
  text-align: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  gap: 20px;
  font-size: 0;
}
.util-modal .list .i {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  width: 46px;
  height: 46px;
}
.util-modal .list .i img {
  width: 100%;
  height: 100%;
}
.util-modal .list .btn {
  text-decoration: none;
}
.util-modal .list .btn p {
  color: #111;
  margin-top: 4px;
  font-size: 12px;
  letter-spacing: -0.5px;
}
.util-modal .fontsize-btn--0 {
  font-size: 17px;
}
.util-modal .fontsize-btn--1 {
  font-size: 19px;
}
.util-modal .fontsize-btn--2 {
  font-size: 21px;
}

.util-modal-login {
  -webkit-transition: 0ms !important;
  transition: 0ms !important;
}
.util-modal-login .util-modal__wrap {
  width: 100%;
  max-width: 300px;
  padding: 30px 20px 20px;
  gap: 30px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
}
.util-modal-login .util-modal__wrap p {
  color: #000;
  text-align: center;
  font-family: Pretendard;
  font-size: 17px;
  font-weight: 400;
  line-height: 136%;
}
.util-modal-login .title {
  display: none;
}
.util-modal-login {
  /* 버튼 영역 */
}
.util-modal-login .util-modal__wrap .btn-wrap {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  gap: 10px;
  width: 100%;
  height: 44px;
  color: #111;
  font-size: 15px;
  font-weight: 700;
}
.util-modal-login {
  /* 버튼 공통 */
}
.util-modal-login .util-modal__wrap .btn-wrap [class*=btn] {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  gap: 8px;
  width: 100%;
  -ms-flex-item-align: stretch;
      align-self: stretch;
  border-radius: 4px;
}
.util-modal-login .util-modal__wrap .btn-wrap [class*=btn]:link, .util-modal-login .util-modal__wrap .btn-wrap [class*=btn]:visited, .util-modal-login .util-modal__wrap .btn-wrap [class*=btn]:hover, .util-modal-login .util-modal__wrap .btn-wrap [class*=btn]:active {
  text-decoration: none;
}
.util-modal-login .util-modal__wrap .btn-wrap .btn_w {
  background: #efefef !important;
  color: #111 !important;
}
.util-modal-login .util-modal__wrap .btn-wrap .btn_b {
  background: #333 !important;
  color: #fff !important;
}